diff -ur dia-0.83-6/app/render_eps.c dia-0.83-7/app/render_eps.c
--- dia-0.83-6/app/render_eps.c	Thu Feb 17 01:31:25 2000
+++ dia-0.83-7/app/render_eps.c	Thu Feb 17 03:42:30 2000
@@ -1061,6 +1061,13 @@
   char *buff;
  
   _pos = *pos;
+  if(alignment == ALIGN_RIGHT) {
+    _pos.x -= font_string_width(text, font, height);
+    alignment = ALIGN_LEFT;
+  } else if (alignment == ALIGN_CENTER) {
+    _pos.x -= font_string_width(text, font, height) / 2;
+    alignment = ALIGN_LEFT;
+  }
   buff = (char *)g_malloc(sizeof(char) * strlen(text) + 1);
   for(i=0, s=0; i<strlen(text);i++,s++) {
     if(s==0) {
@@ -1085,9 +1092,9 @@
  		  buff,
  		  &_pos, alignment,
  		  color);
+      _pos.x += font_string_width(buff, font, height);
       s = 0;
       buff[s] = text[i];
-      _pos.x += font_string_width(buff, font, height);
     }
   }
   if (text[i-1] > 0) {
@@ -1102,6 +1109,7 @@
  	      buff,
 	      &_pos, alignment,
  	      color);
+  _pos.x += font_string_width(buff, font, height);
   g_free(buff);
 }
 
diff -ur dia-0.83-6/objects/UML/class.c dia-0.83-7/objects/UML/class.c
--- dia-0.83-6/objects/UML/class.c	Thu Feb 17 01:31:25 2000
+++ dia-0.83-7/objects/UML/class.c	Thu Feb 17 01:41:21 2000
@@ -440,16 +440,11 @@
   if (umlclass->stereotype != NULL) {
     umlclass->namebox_height += font_height;
     umlclass->stereotype_string =
-      g_malloc(sizeof(char)*(strlen(umlclass->stereotype)+2+1));
-    
-    umlclass->stereotype_string[0] = UML_STEREOTYPE_START;
-    umlclass->stereotype_string[1] = 0;
+      g_malloc(sizeof(char)*(strlen(umlclass->stereotype)+4+1));
     
+    strcpy(umlclass->stereotype_string, UML_STEREOTYPE_START);
     strcat(umlclass->stereotype_string, umlclass->stereotype);
-
-    i = strlen(umlclass->stereotype_string);
-    umlclass->stereotype_string[i] = UML_STEREOTYPE_END;
-    umlclass->stereotype_string[i+1] = 0;
+    strcat(umlclass->stereotype_string, UML_STEREOTYPE_END);
 
     width = font_string_width(umlclass->stereotype_string, umlclass->normal_font, font_height);
     maxwidth = MAX(width, maxwidth);
diff -ur dia-0.83-6/objects/UML/uml.h dia-0.83-7/objects/UML/uml.h
--- dia-0.83-6/objects/UML/uml.h	Thu Jun  3 19:12:04 1999
+++ dia-0.83-7/objects/UML/uml.h	Thu Feb 17 01:41:21 2000
@@ -77,8 +77,8 @@
 };
 
 /* Characters used to start/end stereotypes: */
-#define UML_STEREOTYPE_START ((char) 171)
-#define UML_STEREOTYPE_END ((char) 187)
+#define UML_STEREOTYPE_START "<<"
+#define UML_STEREOTYPE_END ">>"
 
 extern char *uml_get_attribute_string(UMLAttribute *attribute);
 extern char *uml_get_operation_string(UMLOperation *operation);
diff -ur dia-0.83-6/po/cat-id-tbl.c dia-0.83-7/po/cat-id-tbl.c
--- dia-0.83-6/po/cat-id-tbl.c	Fri Dec 24 19:18:09 1999
+++ dia-0.83-7/po/cat-id-tbl.c	Thu Feb 17 01:53:29 2000
@@ -35,8 +35,8 @@
  %s\n", 17},
   {"The file \"%s\" is not a Dia object library.\n", 18},
   {"\
-The object library \"%s\" is from an older version of Dia and cannot be \
-used.\n\
+The object library \"%s\" is from an older version of Dia and cannot be used.\
+\n\
 Please upgrade it.", 19},
   {"\
 The object library \"%s\" is from an later version of Dia.\n\
 
